Cannot use Subversion with svn+ssh protocol

I tried all day to connect to our Subversion server using svn+ssh protocol, but I just couldn't get it work. I repeatedly receive the error message "svn connetion to '192.168.1.4:22' failed: 'Password authentication failed.". I can use Subversion with TortoiseSVN without any problems, but with IDEA I just cannot get it work.

Is anybody using IDEA's subversion functionality over the svn+ssh protocol sccessfully? If so, do you have any hints how to get it work?


Thanks,

Jan

3 comments

Hello Jan,

JB> I tried all day to connect to our Subversion server using svn+ssh
JB> protocol, but I just couldn't get it work. I repeatedly receive the
JB> error message "svn connetion to '192.168.1.4:22' failed: 'Password
JB> authentication failed.". I can use Subversion with TortoiseSVN
JB> without any problems, but with IDEA I just cannot get it work.
JB>
JB> Is anybody using IDEA's subversion functionality over the svn+ssh
JB> protocol sccessfully? If so, do you have any hints how to get it
JB> work?

What version of IDEA are you using? Lots of fixes for Subversion are included
in the latest EAP builds:
http://www.intellij.net/eap/

--
Dmitry Jemerov
Software Developer
JetBrains, Inc.
http://www.jetbrains.com
"Develop with pleasure!"


0

I am using 5.0.2, and since I am working on a production project I do not really feel using an EAP build. If this does not work with my build it wouldn't be great, but at least I could stop trying for now and use TortoiseSVN while waiting for a new release.

0

Hello Jan,

JB> I am using 5.0.2, and since I am working on a production project I
JB> do not really feel using an EAP build. If this does not work with my
JB> build it wouldn't be great, but at least I could stop trying for now
JB> and use TortoiseSVN while waiting for a new release.

I think many of the EAP users will agree that the quality of current 5.1
EAP builds is noticeably better than that of 5.0.2.

Also, if you find out now that IDEA 5.1 does not work with your particular
setup, we'll still have a chance to fix this before the final release of
5.1. If you wait until the final release of 5.1 and then find out it doesn't
work, the fix will most likely be included only in IDEA 6.0.

The choice is yours to make, of course. :) The final release of 5.1 is coming
very soon.

--
Dmitry Jemerov
Software Developer
JetBrains, Inc.
http://www.jetbrains.com
"Develop with pleasure!"


0

Please sign in to leave a comment.